package com.capgemini.reports.snecmaobjects.rf;

import com.capgemini.framework.teamcenter.authent.TcSession;
import com.capgemini.reports.snecmaobjects.AbstractSnecmaObject;
import com.teamcenter.soa.client.model.strong.ItemRevision;

import static com.capgemini.framework.teamcenter.object.SnecmaObjectProperties.PV_EQUIVALENT_SNS_SIN;

/**
 * Abstract Class representing a RF.
 */
public abstract class AbstractRF extends AbstractSnecmaObject {
  private static final long serialVersionUID = 4005615321655255506L;

  public AbstractRF(final TcSession session, final ItemRevision itemRevision) {
    super(session, itemRevision);
  }

  @Override
  public boolean isRF() {
    return true;
  }

  public String getEquivalentSnsSin() {
    return getMasterForm().getPropertyObject(PV_EQUIVALENT_SNS_SIN).getStringValue();
  }
}
